Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.view.facelets
Class EmptyHandler

    java.lang.Object
      javax.faces.view.facelets.TagHandler
          org.richfaces.view.facelets.EmptyHandler

All Implemented Interfaces:
  javax.faces.view.facelets.FaceletHandler

    public class EmptyHandler

extends javax.faces.view.facelets.TagHandler

This if "empty" facelets tag handler stub. This handler used to ignore tags on a page. At most, it used to bypass <jsp:root> and other tags, so we can use same markup for an facelets an jsp pages.

Author:
  asmirnov

Field Summary

Fields inherited from class javax.faces.view.facelets.TagHandler
`nextHandler, tag, tagId`

Constructor Summary
`EmptyHandler(javax.faces.view.facelets.TagConfig config)`

Method Summary
`void` | `apply(javax.faces.view.facelets.FaceletContext ctx, javax.faces.component.UIComponent parent)`

Methods inherited from class javax.faces.view.facelets.TagHandler
`getAttribute, getRequiredAttribute, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EmptyHandler

    public EmptyHandler(javax.faces.view.facelets.TagConfig config)

Method Detail

### apply

    public void apply(javax.faces.view.facelets.FaceletContext ctx,
                      javax.faces.component.UIComponent parent)
               throws IOException,
                      javax.faces.FacesException,
                      javax.el.ELException

  Throws:
    `IOException`
    `javax.faces.FacesException`
    `javax.el.ELException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.